Allow admins create User contributed QGIS Plugins projects and set the proper manager
2011-08-21 01:45 AM - Giovanni Manghi

Status: Closed
Priority: High
Assignee: Pirmin Kalberer
Category:
Description

With Redmine we can now have projects/tracs for 3rd party plugins, but authors are not creating them, so filing tickets for plugins issues
is still a problem/impossibile (or at least not appropriate on the main QGIS trac).

The necessity is to allow the Redmine admins create the plugins projects and at the same time set the proper manager for the same
project, so people can start file tickets and the the author start receiving them.

History

#1 - 2011-08-22 02:08 PM - Pirmin Kalberer

This should already work. I've created a test project. Did you get the mail from #4205 ?

#2 - 2011-08-25 08:13 AM - Giovanni Manghi

Pirmin Kalberer wrote:

This should already work. I've created a test project. Did you get the mail from #4205 ?

Hi Pirmin,

yes it seems to work.

Can you please:

*) check if | have the necessary permissions to do such operation

*) list the steps | have to follow to create (plugins) projects and set the manager properly

This way | will start asap to create a project for each available plugin (given the author is registered in redmine).

thanks in advance

#3 - 2011-08-25 12:59 PM - Pirmin Kalberer

- Status changed from Open to Closed

Giovanni Manghi wrote:

*) check if | have the necessary permissions to do such operation
You have Redmine Manager permissions like me.

*) list the steps | have to follow to create (plugins) projects and set the manager properly

- Create sub-projects of "User Plugins": https://issues.qgis.org/projects/new?parent_id=qgis-user-plugins

- Go to Settings -> Members
- Add a user with role "manager"

This way | will start asap to create a project for each available plugin (given the author is registered in redmine).

You can add a user with https://issues.qggis.org/users/new
